
Foreman - Bug #14504

Reports STI should support inherited scoped search

04/06/2016 07:52 AM - Shlomi Zadok

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Search   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3395

  

Description

Report as the Reports STI superclass should include all scoped search under inherited method in the same manner of LookupKey

model (comment: https://github.com/theforeman/foreman/pull/2466/files#r38305064).

ConfigReport and all other children should inherit from it and add their own searches - should needed.

Related to http://projects.theforeman.org/issues/14478

Associated revisions

Revision 21466223 - 04/06/2016 10:21 AM - Shlomi Zadok

Fixes #14504 - Moves Report scoped search into inherited method

Revision 57ac1e4e - 04/18/2016 01:45 PM - Shlomi Zadok

Fixes #14504 - Moves Report scoped search into inherited method

(cherry picked from commit 214662234158f3940c7c929fb4727bd6dfd807e6)

History

#1 - 04/06/2016 08:05 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3395 added

#2 - 04/06/2016 10:23 AM - Marek Hulán

- translation missing: en.field_release set to 141

Marking to cherry-pick to 1.11.1 since STI statuses were introduced in 1.11. Feel free to reset.

#3 - 04/06/2016 11:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 214662234158f3940c7c929fb4727bd6dfd807e6.
